HP-UX 11: make error

Russ Allbery rra at stanford.edu
Tue Jan 23 01:57:04 UTC 2001



tziem <tziem at rdg.boehringer-ingelheim.com> writes:

> I'm using gcc w/HP-UX 11.0 trying to install latest INN (2.3.1).  I am
> getting the following error during 'make' part of install:
> <<inn_errs.txt>>

> any help would be appreciated.

> techdev1 $ make
>         cd lib       && make all
>          gcc -g -O2 -I../include   -c pwrite.c
> pwrite.c:28: conflicting types for `pwrite'
> /usr/include/sys/unistd.h:148: previous declaration of `pwrite'
> *** Error exit code 1

configure didn't think that your system had pwrite, but apparently you do.
Could you send the section of config.log that mentions pwrite so that we
can try to figure out what's going on?

-- 
Russ Allbery (rra at stanford.edu)             <http://www.eyrie.org/~eagle/>



More information about the inn-bugs mailing list